FIND_PATH(THUMBNAILER_INCLUDEDIR thumbnailer.h /usr/include/thumbnailer)

FIND_LIBRARY(THUMBNAILER_LIBRARIES NAMES thumbnailer PATH /usr/lib)

IF (THUMBNAILER_INCLUDEDIR AND THUMBNAILER_LIBRARIES)
   SET(THUMBNAILER_FOUND TRUE)
ENDIF (THUMBNAILER_INCLUDEDIR AND THUMBNAILER_LIBRARIES)

IF (THUMBNAILER_FOUND)
   IF (NOT Thumbnailer_FIND_QUIETLY)
      MESSAGE(STATUS "Found Thumbnailer: ${THUMBNAILER_LIBRARIES}")
   ENDIF (NOT Thumbnailer_FIND_QUIETLY)
ELSE (THUMBNAILER_FOUND)
   IF (Thumbnailer_FIND_REQUIRED)
      MESSAGE(FATAL_ERROR "Could not find Thumbnailer")
   ENDIF (Thumbnailer_FIND_REQUIRED)
ENDIF (THUMBNAILER_FOUND)
