#!/usr/bin/python

import unittest
import os
from Thumbnailer import Thumbnails
from PySide.QtCore import QUrl
from helper import UsesQApplication

class ThumbnailerTest(UsesQApplication):
    def setUp(self):
        UsesQApplication.setUp(self)
        self.thumb = Thumbnails.Thumbnailer()
        imagePath = "file://" + os.getcwd() + "/data/image.png"
        self.uri = [QUrl(imagePath)]
        self.mime = ["image/png"]

    def testThumbnailer(self):
        self.thumb.request(self.uri, self.mime)

if __name__ == "__main__":
    unittest.main()

